Page MenuHomePhabricator

cloudvps: rabbitmq metrics
Closed, ResolvedPublic

Description

We are interested in having rabbitmq metrics in grafana. This dashboard exists:

https://grafana.wikimedia.org/dashboard/db/cloudvps-rabbitmq?orgId=1&from=1514764800000&to=1543832014906

But is no longer showing data since a couple of weeks ago. Not sure if we are using the wrong metrics in the dashboard (diamond vs prometheus) or if there is something else.

*EDIT*: I seem to be using the server.cloudcontrol* metrics which are coming from diamond? But trying with rabbitmq... doesn't show anything cloudcontrol specific. So still we need some adjustments here.

Event Timeline

aborrero created this task.Dec 3 2018, 10:32 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 3 2018, 10:32 AM
aborrero triaged this task as Normal priority.Dec 3 2018, 10:32 AM
aborrero moved this task from Inbox to Important on the cloud-services-team (Kanban) board.
aborrero updated the task description. (Show Details)Dec 3 2018, 10:36 AM
GTirloni removed a subscriber: GTirloni.Mar 21 2019, 9:06 PM
JHedden closed this task as Resolved.Jul 16 2019, 2:56 PM
JHedden claimed this task.

I've updated the rabbitmq dashboard for the eqiad prometheus/labs datasource. https://grafana.wikimedia.org/d/000000617/cloudvps-rabbitmq